VMware Security Announcement VMSA-2020-0021

Today VMWare released a new security announcement, VMSA-2020-0021. This update addresses a broken authentication vulnerability in Horizon DaaS (CVE-2020-3977)

Impacted Products
  • VMware Horizon DaaS (Horizon DaaS)
Introduction

A broken authentication vulnerability affecting VMware Horizon DaaS was privately reported to VMware. Updates are available to address this vulnerability in affected VMware product.

Advisory Details

Description

Horizon DaaS contains a broken authentication vulnerability due to a flaw in the way it handled the first factor authentication. VMware has evaluated the severity of this issue to be in the Moderate severity range with a maximum CVSSv3 base score of 6.3.

Known Attack Vectors

Successful exploitation of this issue may allow an attacker to bypass two-factor authentication process.

Note: In order to exploit this issue, an attacker must have a legitimate account on Horizon DaaS.

Resolution

Horizon DaaS 9.x is not affected by this.

For Horizon DaaS versions 7.x and 8.x is it recommended to apply patch 8.0.1 Update 1. Download links provided below.

**This update applies to 8.0.1 only. Please see the download link for more information.

Workarounds

None.

References

Fixed Version(s) and Release Notes:

Horizon DaaS 8.0.1 Update 1

Downloads and Documentation:
https://my.vmware.com/web/vmware/downloads/details?downloadGroup=HORIZON_DAAS_801&productId=743&rPId=36148
https://docs.vmware.com/en/VMware-Horizon-DaaS/services/rn/Horizon-DaaS-801-Release-Notes.html#rollup